POST api/departmentapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "c1f678c1-0615-42f6-a72e-70d0d64ad343",
  "delay_between_scans": 1,
  "id": "1ebcf543-b74b-4321-815f-8af419a53688",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "e839593c-d551-496d-964d-3b5ebea3c42d",
  "selected_sticker_id": "23a5ecfc-54fd-47a1-b867-c6098734ba6c"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>c1f678c1-0615-42f6-a72e-70d0d64ad343</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>1ebcf543-b74b-4321-815f-8af419a53688</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>e839593c-d551-496d-964d-3b5ebea3c42d</selected_nameplate_id>
  <selected_sticker_id>23a5ecfc-54fd-47a1-b867-c6098734ba6c</selected_sticker_id>
</department>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"6ec78cee-0d1c-4465-9e8f-8bb3c857ad1c"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">6ec78cee-0d1c-4465-9e8f-8bb3c857ad1c</guid>